### Method

# Xdp Portal dynamic_launcher_launch

#### Declaration [src]

    gboolean
    xdp_portal_dynamic_launcher_launch (
      XdpPortal* portal,
      const char* desktop_file_id,
      const char* activation_token,
      GError** error
    )

#### Description

No description available.

#### Parameters

`desktop_file_id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`activation_token`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.